local addon, ns = ...

--We create all the bars here as globals.
--This is so we can easily reference them later.
G13MainBar = CreateFrame("Frame", "G13MainBar", UIParent)
G13BRBar = CreateFrame("Frame", "G13BRBar", UIParent)
G13PetBar = CreateFrame("Frame", "G13PetBar", UIParent)
G13StanceBar = CreateFrame("Frame", "G13StanceBar", UIParent)
--G13BagBar = CreateFrame("Frame", "G13BagBar", UIParent)
--G13MenuBar = CreateFrame("Frame", "G13MenuBar", UIParent)
G13XPBar = CreateFrame("Frame", "G13XPBar", UIParent)
G13CastBar = CreateFrame("Frame", "G13CastBar", UIParent)
G13ExtraActionBar = CreateFrame("Frame", "G13ExtraActionBar", UIParent)
G13AuxButtonBar = CreateFrame("Frame", "G13AuxButtonBar", UIParent)

--This is a list of all the bars we have created. 
--I'll revisit this during a code refactor, possibly.
ns.G13BarsList = {
	G13MainBar,
	G13BRBar,
	G13PetBar,
	G13StanceBar,
	--G13BagBar,
	--G13MenuBar,
	G13XPBar,
	G13CastBar,
	G13ExtraActionBar,
	G13AuxButtonBar
}

local function SetBarPosition(bar)
	s = bar:GetName()
	cfg = ns.cfg[s]
	bar:SetPoint(cfg.point, cfg.xOfs, cfg.yOfs)
end

--This should be moved to the main LUA file in a later version
local Positioner = CreateFrame("Frame")
Positioner:RegisterEvent("ADDON_LOADED")
Positioner:SetScript("OnEvent", function(self)
	for _, v in pairs(ns.G13BarsList) do
		SetBarPosition(v)
	end
end)